#if !defined(AFX_PREFSDIALOG_H__1B15B002_9152_11D3_A10C_00500402F30B__INCLUDED_)
#define AFX_PREFSDIALOG_H__1B15B002_9152_11D3_A10C_00500402F30B__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// PrefsDialog.h : header file
//

#include "PrefsStatic.h"
#include "SATreeCtrl.h"

class pageStruct
{
   public:
   CDialog *pDlg;
   UINT id;
   CDialog *pDlgParent;
   CString csCaption;
};

#define WM_CHANGE_PAGE (WM_APP + 100)

/////////////////////////////////////////////////////////////////////////////
// CPrefsDialog dialog

class CPrefsDialog : public CDialog
{
// Construction
public:
	CPrefsDialog(CWnd* pParent = NULL);   // standard constructor
   ~CPrefsDialog();

// Dialog Data
	//{{AFX_DATA(CPrefsDialog)
	enum { IDD = IDD_PREFS };
	CSATreeCtrl	m_pageTree;
	CStatic	m_boundingFrame;
	//}}AFX_DATA


   bool AddPage(CDialog &dlg, UINT id, const char *pCaption, CDialog *pDlgParent = NULL);
   bool ShowPage(int iPage);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPrefsDialog)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
protected:

   CPrefsStatic	m_captionBar;
	//CStatic	m_captionBar;
   HTREEITEM FindHTREEItemForDlg(CDialog *pParent);

	// Generated message map functions
	//{{AFX_MSG(CPrefsDialog)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnSelchangedPageTree(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnGetdispinfoPageTree(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnPhelp();
	//}}AFX_MSG
	afx_msg long OnChangePage(UINT, LONG);
	DECLARE_MESSAGE_MAP()

   CPtrArray   m_pages;
   int         m_iCurPage;

   CRect       m_frameRect;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PREFSDIALOG_H__1B15B002_9152_11D3_A10C_00500402F30B__INCLUDED_)
